Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class GridBagFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory
                  groovy.swing.factory.GridBagFactory

    class GridBagFactory
    extends LayoutFactory

Field Summary

Fields inherited from class LayoutFactory
DEFAULT_DELEGATE_PROPERTY_CONSTRAINT, DELEGATE_PROPERTY_CONSTRAINT

Fields inherited from class BeanFactory
leaf

Constructor Summary
`GridBagFactory()`

Method Summary
`void` | `addLayoutProperties(java.lang.Object context)`
`static java.lang.Object` | `extractAttribute(java.util.Map attrs, java.lang.String name, java.lang.Class type)` Returns: null if not found.
`static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)`

Methods inherited from class LayoutFactory
addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GridBagFactory

    GridBagFactory()

Method Detail

### addLayoutProperties

    void addLayoutProperties(java.lang.Object context)

### extractAttribute

    static java.lang.Object extractAttribute(java.util.Map attrs, java.lang.String name, java.lang.Class type)

  Returns:
    null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

### processGridBagConstraintsAttributes

    static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)

Groovy Documentation